import request from '@/utils/request'

// 查询特别申请列表
export function listSpecialApply(query) {
  return request({
    url: '/major/specialApply/list',
    method: 'get',
    params: query
  })
}

// 查询特别申请详细
export function getSpecialApply(specialApplyId) {
  return request({
    url: '/major/specialApply/' + specialApplyId,
    method: 'get'
  })
}

// 新增特别申请
export function addSpecialApply(data) {
  return request({
    url: '/major/specialApply',
    method: 'post',
    data: data
  })
}

// 修改特别申请
export function updateSpecialApply(data) {
  return request({
    url: '/major/specialApply',
    method: 'put',
    data: data
  })
}

// 删除特别申请
export function delSpecialApply(specialApplyId) {
  return request({
    url: '/major/specialApply/' + specialApplyId,
    method: 'delete'
  })
}
